#!/usr/bin/perl -w

use strict;

my $tid = 100;
my $testMsg = "./test2.spam";
my $resuMsg = "./test2.result";

my $cmd = "java com.spamnbeans.client.MPClient $tid < $testMsg";

main: {
  print "Sending Message...\n";
  my $test_result = 0;

  # Check input test message
  my @msg;
  open IN, "$testMsg";
  chomp (@msg = <IN>) or 
    die "ERROR! - unable to read $testMsg\n$!";
  ($#msg > 0) or die "ERROR! - InvalidMsgLength:$#msg\n$!";


  open OUT, ">$resuMsg";
  print OUT `$cmd`;
  close OUT;

  my $cmd = "diff $testMsg $resuMsg";
  my @diff = `$cmd`;

  unlink $resuMsg;

  shift @diff;
  foreach (@diff) {
    print $_;
    ($test_result++) and last unless (m/^> X-Spam-/ || m/^> */);
  }

  
  # Check test results
  if( $test_result == 0 ) {
    print "Test Complete - PASS!\n";
  } else {
    print "Test Complete - FAIL!\n";
  }

  # Translate return success indicator to client
  # - 0 := success for ant or other shell scripts
  exit ($test_result != 0);
}

