// $Id: MsgPK.java,v 1.3 2004/03/01 04:21:14 gca Exp $
package com.spamnbeans.msg;

/**
 * The Primary Key Class for generating Msg Entity Beans
 * 
 * @author Gary Ackley, <a href="mailto:gca@andrew.cmu.edu">gca@andrew.cmu.edu
 *         </a>
 * @version $Revision: 1.3 $
 */
public class MsgPK implements java.io.Serializable {
	
	/*
	 * Note: The Primary key fields must be a subset of the
	 * container-managed fields.
	 * The fields we are marking as Container-Managed, are:
	 * 	MsgID : unique identifer for each individual message
	 * 	ClientID : identifies which client submitted the message
	 * 	ServerID : identifies which server processed the message
	 * 	MsgSize : the size of the message (in bytes)
	 *  MsgStat : the status of the message 
	 */
	public String msgID;

	public MsgPK(String msgID) {
		this.msgID = msgID;
	}

	public MsgPK() {}

	public String toString() {
		return msgID.toString();
	}
	
	public int hashCode() {
		return msgID.hashCode();
	}

	public boolean equals(Object msg) {
		return ((MsgPK) msg).msgID.equals(msgID);
	}
	
}
