// $Id: ClientStatHomeLocal.java,v 1.3 2004/03/01 04:32:54 gca Exp $

package com.spamnbeans.server;

/**
 * Provide the internal lifecycle interface to the ClientStatBean.
 * 
 * <p>
 * The ClientStat Bean tracks the statistics for a Client, identified by its
 * Name and ClientID.
 * 
 * @author Andrew Boyer, <a href="mailto:aboyer@andrew.cmu.edu">
 *         aboyer@andrew.cmu.edu</a>
 * @version 1.0
 */
public interface ClientStatHomeLocal extends javax.ejb.EJBLocalHome {
	/**
	 * Create a new ClientStat EntityBean
	 * 
	 * @param clientID
	 *            The ClientID (primary key) of the created Bean
	 */
	public ClientStatLocal create(Integer clientID)
		throws javax.ejb.CreateException;

	/**
	 * Find a ClientStat EntityBean by its ClientID
	 * 
	 * @param pk
	 *            The primary key (ClientID) of the desired Bean
	 */
	public ClientStatLocal findByPrimaryKey(Integer pk)
		throws javax.ejb.FinderException;

	/**
	 * Find all running ClientStat EntityBeans
	 */
	public java.util.Collection findAll() throws javax.ejb.FinderException;

	/**
	 * Find a ClientStat EntityBean by its Name
	 * 
	 * @param name
	 *            The Name of the desired Bean
	 */
	public ClientStatLocal findByName(String name)
		throws javax.ejb.FinderException;

	/**
	 * Find a ClientStat EntityBean by its Name
	 * 
	 * @param name
	 *            The Name of the desired Bean
	 */
	public java.util.Collection findEnabled(boolean isEnabled)
		throws javax.ejb.FinderException;
}
