// $Id: ServerStatHomeLocal.java,v 1.5 2004/03/01 04:23:55 gca Exp $

package com.spamnbeans.server;

/**
 * Provide the internal lifecycle interface to the ServerStatBean.
 * 
 * <p>
 * The ServerStat Bean tracks the statistics for a Server, identified by its
 * Name and ServerID.
 * 
 * @author Andrew Boyer, <a href="mailto:aboyer@andrew.cmu.edu">
 *         aboyer@andrew.cmu.edu</a>
 * @version 1.0
 */
public interface ServerStatHomeLocal extends javax.ejb.EJBLocalHome {
	
	/**
	 * Create a new ServerStat EntityBean
	 * 
	 * @param serverID
	 *            The ServerID (primary key) of the created Bean
	 */
	public ServerStatLocal create(
		Integer serverID,
		String name,
		boolean isEnabled)
		throws javax.ejb.CreateException;

	/**
	 * Find a ServerStat EntityBean by its ServerID
	 * 
	 * @param pk
	 *            The primary key (ServerID) of the desired Bean
	 */
	public ServerStatLocal findByPrimaryKey(Integer pk)
		throws javax.ejb.FinderException;

	/**
	 * Find all existing ServerStat EntityBeans
	 */
	public java.util.Collection findAll() 
		throws javax.ejb.FinderException;

	/**
	 * Find all Enabled ServerStat EntityBeans
	 */
	public java.util.Collection findEnabled(boolean isEnabled)
		throws javax.ejb.FinderException;
	
	/**
	 * Find a ServerStat EntityBean by its Name
	 * 
	 * @param name
	 *            The Name of the desired Bean
	 */
	public ServerStatLocal findByName(String name)
		throws javax.ejb.FinderException;
}
